Package org.eclipse.lemminx.extensions.dtd.participants

## Class DTDCodeLensParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.dtd.participants.DTDCodeLensParticipant

All Implemented Interfaces:
  `ICodeLensParticipant`

    public class DTDCodeLensParticipant
    extends Object
    implements ICodeLensParticipant

DTD CodeLens to show references count for referenced

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`DTDCodeLensParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeLens​(ICodeLensRequest request, List<org.eclipse.lsp4j.CodeLens> lenses, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTDCodeLensParticipant

    public DTDCodeLensParticipant()

### Method Detail

#### doCodeLens

    public void doCodeLens​(ICodeLensRequest request,
                           List<org.eclipse.lsp4j.CodeLens> lenses,
                           org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Specified by:
  `doCodeLens` in interface `ICodeLensParticipant`